;; -*- mode: Lisp; Syntax: Common-Lisp; Package: cells; -*-
#|

    Hunchncells -- Cells, Parenscript, and HTML

Copyright (C) 2008 by Andy Chambers

This library is free software; you can redistribute it and/or
modify it under the terms of the Lisp Lesser GNU Public License
 (http://opensource.franz.com/preamble.html), known as the LLGPL.

This library is distributed  WITHOUT ANY WARRANTY; without even 
the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  

See the Lisp Lesser GNU Public License for more details.

|#

(in-package :hunchncells)

(defhtml form ()
    ()
  (:attrs form
   :action (:-method :method) :enctype 
   :accept :name :onsubmit 
   :onreset :accept-charset))

(defhtml input ()
    ()
  (:attrs input
   :name :value :checked (:-type :type)
   :size :maxlength))

(defhtml label ()
    ()
  (:attrs label
   :for :accesskey :onfocus :onblur))

(defhtml textarea ()
    ()
  (:attrs textarea
   :name :rows :cols :disabled :readonly :tabindex 
   :accesskey :onfocus :onblur :onselect :onchange))

(defhtml select ()
    ()
  (:attrs select
  :name :size :multiple :disabled :tabindex 
  :onfocus :onblur :onchange))

(defhtml option ()
    ()
  (:attrs option
   :name :size :multiple :disabled :tabindex 
   :onfocus :onblur :onchange))
