;;;; -*- Mode: Lisp; Syntax: ANSI-Common-Lisp; Base: 10 -*-

(defpackage #:hunchncells-asd
  (:use :cl :asdf))

;; The way things are at the moment, all the things
;; we depend on are asdf-enabled.
;;
;; We'll try to keep it that way

(in-package :hunchncells-asd)

(defsystem :hunchncells
  :name "hunchncells"
  :version "0.0.1"
  :maintainer "Andy Chambers"
  :author "Andy Chambers"
  :licence "LLGPL"
  :description "A Common Lisp web framework."
  :depends-on (:hunchentoot :cl-who :cells :utils-kt)
  :components ((:file "package")
	       (:file "macros" :depends-on ("package"))
	       (:file "html" :depends-on ("macros"))
	       (:file "forms" :depends-on ("html"))
	       (:file "lists-tables" :depends-on ("html"))
	       (:file "request" :depends-on ("html"))
	       (:file "example" :depends-on ("request" "forms"))
  ))




